//XBotDist2IrDef.h 
#define bDistG  0 //PORTC  pin14
#define bDistD  1 //PORTC  pin15
#define bLedIr  2 //PORTC  pin16
#define DirLedIr  DDRC |= 1<< bLedIr  // sortie
#define LedIrOn   bitSet   (PORTC,bLedIr)
#define LedIrOff  bitClear (PORTC,bLedIr)
#define DirCha    DDRC  |= 1<<bDistG | 1<< bDistD  
#define CapaCha   PORTC |= 1<<bDistG | 1<< bDistD 
#define DirMes    DDRC  &= ~(1<<bDistG | 1<< bDistD); PORTC &= ~( 1<<bDistG | 1<< bDistD)
#define CapaGHigh PINC  & 1<<bDistG
#define CapaDHigh PINC  & 1<<bDistD

// variables globales
byte mesureG, mesureD;
#define MaxVal 250  // max 250
void GetDist () {
   volatile byte cntG=0, cntD=0 ;
   DirCha ; CapaCha;  // precharge
   delayMicroseconds (100) ;
   LedIrOn ; DirMes ; 
   cntG = 0 ;  cntD = 0 ;
   for (byte i=0; i<MaxVal; i++) {
      delayMicroseconds (200) ;
      if (CapaGHigh)  cntG++ ;
      if (CapaDHigh)  cntD++ ;
   }
   LedIrOff ;
   mesureG = cntG ;
   mesureD = cntD ;
   delay(100);
}

void SetupDistIr () {   
   DirLedIr; 
   DirMes; 
}

